Lists the connectors visible to the requesting user in the current workspace.

GEThttps://api.awork.com/api/v1/agents/connectors
GET https://api.awork.com/api/v1/agents/connectors

Lists connectors visible to the requesting user in the current workspace. Use the returned connector ids to link existing connectors to custom agents. The user must have access to the custom-agent feature.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

isOfficialbooleanOptional

Whether a workspace admin marked this item as official. False when metadata is disabled.

tagsarray of object or nullOptional

The canonical AI tags. Empty when metadata is disabled.

Show 4 properties
idstringOptional
format: uuid

The stable identifier of this workspace tag.

namestring or nullOptional

The shared display name.

colorstring or nullOptional

The shared display color.

assignmentCountinteger or nullOptional
format: int32

The number of active agents, skills, and connectors that use this tag. Only set by the tag list.

canEditTagsbooleanOptional

Whether the current viewer can replace this item's tags.

canSetOfficialbooleanOptional

Whether the current viewer can change this item's official status.

ownerUserIdstring or nullOptional
format: uuid

The connector owner, or null for a preset without configuration. CreatedBy remains audit history.

canDeletebooleanOptional

Whether the requesting user can delete the connector and all its connections.

hasAdminAccessOnlybooleanOptional

Whether the requesting user has only workspace administrator access to the connector. The user can manage the connector, but cannot use it or add a connection to it.

namestring or nullOptional

The connector display name.

descriptionstring or nullOptional

The connector description.

urlstring or nullOptional

The custom connector URL.

presetKeystring or nullOptional

The predefined connector key.

endpointValuesarray of object or nullOptional

The safely displayable configured endpoint values.

Show 4 properties
keystring or nullOptional

The stable endpoint field key.

labelKeystring or nullOptional

The frontend translation key used to label the field.

valuestring or nullOptional

The configured non-secret field value.

displayLabelKeystring or nullOptional

The optional frontend translation key used instead of the raw value.

logoPathstring or nullOptional

The preset logo path when this server matches a catalog preset.

statusstring or nullOptional

The aggregate connection status.

isSharedWithWorkspacebooleanOptional

Whether the connector is shared with the workspace.

isOwnerbooleanOptional

Whether the current user owns the connector.

currentUserConnectionStatusstring or nullOptional

The current user's connection status.

lastRefreshedOnstring or nullOptional
format: date-time

When the server tools were last refreshed.

currentUserLastAuthenticatedOnstring or nullOptional
format: date-time

When the current user last authenticated this server.

hasOAuthClientConfigurationbooleanOptional

Whether static OAuth client credentials are configured.

connectionModestring or nullOptional

The selected connection resolution mode for an agent-linked response.

connectionIdstring or nullOptional
format: uuid

The selected specific connection, when applicable.

currentUserConnectionIdstring or nullOptional
format: uuid

The connection selected by the current user for acting-user resolution.

connectionsarray of object or nullOptional

The connections visible to the current user.

Show 14 properties
canUsebooleanOptional

Whether normal ownership or sharing grants use of this connection and its owner is not suspended. Administrator status does not grant use.

hasAdminAccessOnlybooleanOptional

Whether only workspace administrator access makes this connection visible to the requesting user.

canDeletebooleanOptional

Whether the requesting user can delete this connection.

isSuspendedbooleanOptional

Whether this connection is suspended because its owner is inactive.

idstringOptional
format: uuid

The connection identifier.

connectorIdstringOptional
format: uuid

The connector identifier.

ownerUserIdstringOptional
format: uuid

User identifier of the connection owner.

namestring or nullOptional

The connection display name.

externalIdentitystring or nullOptional

The external identity associated with the connection.

statusstring or nullOptional

The human-readable connection status.

isSharedWithWorkspacebooleanOptional

Whether the connection is shared with the complete workspace.

isOwnerbooleanOptional

Whether the current user owns the connection.

lastAuthenticatedOnstring or nullOptional
format: date-time

When the connection was last authorized.

lastRefreshedOnstring or nullOptional
format: date-time

When the connection's tools were last refreshed.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation